#' NIR_ABh_Puriya_Annotation_Influence
#'
#' A subset of data from NIR_ABh_Puriya describing
#' the annotated influence.
#' The data comes from a collection of audiovisual recordings of 
#' North Indian (Hindustani) raga performances which are
#' part of IEMP North Indian Raga collection, collected and
#' curated by Martin Clayton, Laura Leante, and Simone Tarsitani.
#'
#' @format ## `rda`
#' A data frame with 306 rows and 5 columns:
#' \describe{
#'   \item{Event}{Type of event}
#'   \item{Onset time}{Start of the event in seconds}
#'   \item{Offset time}{End of the event in seconds}
#'   \item{Duration}{Duration of the event in seconds}
#'   \item{Notes}{Text notes}
#'   ...
#' }
#' @usage data(NIR_ABh_Puriya_Annotation_Influence)
#' @source \url{https://osf.io/ks325/}
#' 
"NIR_ABh_Puriya_Annotation_Influence"

